Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTimeStamp Class Reference

`#include <vtkTimeStamp.h>`

List of all members.

## Detailed Description

record modification and/or execution time

Date:
  2002/07/01 22:05:24

Revision:
  1.44

vtkTimeStamp records a unique time when the method Modified() is executed. This time is guaranteed to be monotonically increasing. Classes use this object to record modified and/or execution time. There is built in support for the binary < and > comparison operators between two vtkTimeStamp objects.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Schroeder, Will (40%)
  - Martin, Ken (34%)
  - Lorensen, Bill (8%)
  - Law, Charles (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkTimeStamp.cxx)`
  - .`h` (`/Common/vtkTimeStamp.h)`

Tests:
  vtkTimeStamp (Tests)

Definition at line 50 of file vtkTimeStamp.h.

## Public Methods
| vtkTimeStamp ()
void | Delete ()
virtual const char * | GetClassName ()
void | Modified ()
unsigned long int | GetMTime ()
| operator unsigned long ()
int | operator> (vtkTimeStamp &ts)
int | operator< (vtkTimeStamp &ts)
## Static Public Methods
vtkTimeStamp * | New ()

## Constructor & Destructor Documentation

vtkTimeStamp::vtkTimeStamp | ( |  | ) | `[inline]`

| Definition at line 53 of file vtkTimeStamp.h.

## Member Function Documentation

vtkTimeStamp* vtkTimeStamp::New | ( |  | ) | `[static]`

void vtkTimeStamp::Delete | ( |  | ) | `[inline]`

| Definition at line 55 of file vtkTimeStamp.h.

virtual const char* vtkTimeStamp::GetClassName | ( |  | ) | `[inline, virtual]`

| Definition at line 57 of file vtkTimeStamp.h.

void vtkTimeStamp::Modified | ( |  | ) |

| Set this objects time to the current time. The current time is just a monotonically increasing unsigned long integer. It is possible for this number to wrap around back to zero. This should only happen for processes that have been running for a very long time, while constantly changing objects within the program. When this does occur, the typical consequence should be that some filters will update themselves when really they don't need to.

unsigned long int vtkTimeStamp::GetMTime | ( |  | ) | `[inline]`

| Return this object's Modified time. Definition at line 69 of file vtkTimeStamp.h.

int vtkTimeStamp::operator> | ( | vtkTimeStamp & | ts | ) | `[inline]`

| Support comparisons of time stamp objects directly. Definition at line 73 of file vtkTimeStamp.h. References ModifiedTime.

int vtkTimeStamp::operator< | ( | vtkTimeStamp & | ts | ) | `[inline]`

| Support comparisons of time stamp objects directly. Definition at line 75 of file vtkTimeStamp.h. References ModifiedTime.

vtkTimeStamp::operator unsigned long | ( |  | ) | `[inline]`

| Allow for typecasting to unsigned long. Definition at line 80 of file vtkTimeStamp.h.

The documentation for this class was generated from the following file:

- Common/vtkTimeStamp.h